<!DOCTYPE html>
<html>
	<head>
		<title>Demo</title>
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
		<script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.2.0/socket.io.js"></script>
		<script src="https://bslivoicetest30-09.firebaseapp.com/RecordRTC.min.js"></script>
		<!-- <script src="voicescript.js"></script> -->
		<!-- <script src="https://avaamo-demo-asset.s3.ap-south-1.amazonaws.com/public/js/voice.js"></script> -->
		<script src="https://avaamo-demo-asset.s3.ap-south-1.amazonaws.com/public/js/aiavaamo.js"></script>

		<style>
			.change {
				display: none;
			}
			.stspan.spanchange {
				display: block;
				margin-top: 12px;
				margin-left: 8px;
			}
			.stspan {
				display: none;
			}
		</style>
	</head>
	<body>
		<h1>Demo</h1>
		<p>Welcome to Demo</p>

		<script type="text/javascript">
			var audioPlaying = false;
			var audio_queue = [];
			var pop_up = false;

			var AvaamoChatBot = function (t) {
				function o(t, o) {
					var n = document.createElement("script");
					n.setAttribute("src", t),
						n.setAttribute("id", "avm-web-channel"),
						(n.onload = o),
						document.body.appendChild(n);
				}
				return (
					(this.options = t || {}),
					(this.load = function (t) {
						o(this.options.url, function () {
							window.Avaamo.addFrame(), t && "function" == typeof t && t(window.Avaamo);
						});
					}),
					this
				);
			};
			var chatBox = new AvaamoChatBot({
				url: "https://c3.avaamo.com/web_channels/107c5ff8-2ebd-4cc3-b4f7-1c792b7c0078.js?theme=avm-messenger&audio_visible=true"
				//url: "https://eridev-ca.internal.ericsson.com/web_channels/b1c85f9a-0e06-4f5a-87c4-60227eac6ee4.js?demo=true&audio_visible=true"
			});
			// Load and setup speech elements
			chatBox.load((avaamo) => {
				console.log("chatbot load..");
				// console.log("THE ELEMENT",document.getElementsByClassName("txt-common"))

				avaamo.onChatIframeLoad = () => {
					// Create interface

					console.log("onchatframLoad...");
					var e = document.getElementById("avaamo__popup");
					// console.log("THE ELEMENT",document.getElementsByClassName("txt-common"))

					createInterfaceOnElement(e, avaamo);
				};

				avaamo.onBotMessage = async (m) => {
					console.log("onBotmessage...");
					console.log(m);

					if (m.content.includes("Hi Mohammed Rayan!") || m.content.includes("Is there anything else")) {
						console.log("content in IF", m.content.includes("Hi Mohammed Rayan!"));
						avaamo.addVoiceHints([
							"leave Balance",
							"i need to check my leave balance",
							"Show my leave balance",
							"I want to see the number of leave",
							"i want to look at my leave balance",
							"I want to see my remaining leaves",
							"I want to see my PTO",
							"Leave history",
							"I want to see my PTO",
							"Show my leave details",
							"I want to see my personal time",
							"Show my leaves",
							"Show my leave summary",
							"show leave details",
							"I want to see my vacation",
							"Want to see time account",
							"I want to see my annual leave quota",
							"Show PTO",
							"Personal time Off",
							"Time accounts",
							"Leave summary",
							"leave entitlement",
							"absence quota",
							"create a template",
							"add timesheet for this week",
							"apply sick leave for monday",
							"add 4 hours to activity 4000",
							"add timesheet for tomorrow",
							"add timesheet",
							"I want to add timesheet",
							"add timesheet for 25th August 2021",
							"add timesheet for 5th of this month",
							"I want to add timesheet for 12th of next month",
							"I want to add timesheet for day after tomorrow",
							"copy timesheet",
							"copy yesterday's timesheet to today",
							"copy timsheet from 25th august to 26th august",
							"copy timesheet from today to tomorrow",
							"copy timesheet for tomorrow from yesterday",
							"copy timesheet from 21st july 2021 to tomorrow",
							"add template",
							"i want to add a template",
							"Add a template for me",
							"add a tempalte",
							"I want to create a template",
							"I want a tempalte to be created",
							"Create a new template",
							"I want to create a new template",
							"Generate a new template",
							"new template",
							"delete template",
							"I want to delete timesheet for 21st august 2021",
							"Delete timesheet for tomorrow",
							"delete timesheet for yesterday",
							"delete timesheet for date 6th july 2021",
							"i want to delete a timesheet dated 6th july of this year",
							"Delete a timesheet for day before yesterday",
							"delete timsheet",
							"I want to delete a template",
							"Could you please delete template",
							"erase an template",
							"Help me erase a template",
							"i want to clear a template",
							"clear tempalte",
							"holiday calender",
							"I want to see a list of public hoidays",
							"Can you show me the holidays",
							"show upcoming holidays",
							"could you show me a list of all ericsson holidays",
							"I want to see a list of all ericsson holidays",
							"network id",
							"i want to see the network id's",
							"Please show the network id's",
							"Could you help me show the network id",
							"I want to see all the network ids",
							"12345 is this network id available",
							"Do we have 111 as network id ",
							"I want to see if 12345 is added as network id",
							"Provide all the network id's available",
							"view timesheet",
							"I want to view timesheet",
							"I want you to show my timesheet",
							"Please add timesheet",
							"Could you just add a timesheet",
							"view reported hours",
							"I want to see a timesheet for one day",
							"I want to have a look at timesheet",
							"I want to view a timesheet for a day",
							"i want to view timesheet for 22snd august 2021",
							"i want to view timesheet for today",
							"Show today's timesheet",
							"view template",
							"I want to see the template",
							"I want to view template",
							"Please show me the template",
							"I want to see the template for today",
							"i want to see template for yesterday",
							"Show me the template",
							"generate a template",
							"i want to create a tempalte ",
							"i want to add a template",
							"Please add a template",
							"I want to create a tempalte",
							"I want to make a template",
							"create and add a template",
							"i want to add to the tempalte",
							"set timesheet",
							"I would like to add a template for tomorrow",
							"i want to add timesheet from date 27th to 29th of this month",
							"add timesheet for monday",
							"let us add a template",
							"add timesheet for this week",
							"i want to add timesheet",
							"apply for a leave",
							"i want to add my time",
							"Register hours",
							"I want to see the registered hours",
							"I want to add hours in timesheet",
							"I want to record a leave for tomorrow",
							"I want to record a leave for day after tomorrow",
							"I want to record a leave on august 21st 2021",
							"Add hours in timesheet",
							"create timesheet",
							"i want to record my leaves",
							"i want to copy timesheet",
							"erase template",
							"remove template",
							"delete timesheet for one day",
							"delete todays timesheet",
							"i want to delete the timesheet for few days",
							"I want to delete the timesheet from 21st august 2021 to 26th august 2021",
							"delete the timesheet for range of 5 days from today",
							"Delete the timesheet from 26th to 29th of august",
							"remove timesheet for today",
							"erase the timesheet",
							"edit template",
							"I want to make few changes in the tempalte",
							"I want to edit the date in tempalte",
							"I want to make a few changes in template",
							"Modify a template",
							"Access template",
							"Update Template",
							"edit a timesheet",
							"i want to check my leave balance",
							"reset",
							"I want to see the list of holidays available",
							"Show me the ericsson holiday calender"
						]);
					} else if (m.content.includes("Sure! What duration would you like to add the timesheet for?")) {
						console.log("SURE WHAT DURATION");
						avaamo.addVoiceHints([
							"Single Date",
							"go for single date",
							"date of 25th August 2021",
							"I want to add timesheet for tomorrow",
							"I want to add the timesheet for 25th of this month",
							"Proceed with single date",
							"I probably want a single date",
							"Single date would should do fine",
							"i would go with a single date",
							"probably a single date",
							"tomorrows date",
							"date for tomorrow alone",
							"one date",
							"27th july of this year",
							"this year 5th of July",
							"Date Range",
							"Date range from 5th july to 9th july",
							"I want a date range",
							"i shall go with date range",
							"I choose ranges of date",
							"go for the date range option",
							"date range should be fine",
							"Proceed with date range",
							"I want to go with date ranges",
							"Proceed with date range",
							"I want to give a set of date",
							"i want range of date",
							"go with date range",
							"I want date range,",
							"go with date range",
							"i chooose a date for tomorrow",
							"I choose a single date",
							"Please go with date range"
						]);
					} else if (m.content.includes("Sorry I didn't understand you.")) {
						console.log(">>>>>\n Sory i didnt unders you >>>>>>");
						avaamo.addVoiceHints([
							"i want to add a template",
							"Add a template for me",
							"add a tempalte",
							"I want to create a template",
							"I want a tempalte to be created",
							"Create a new template",
							"I want to create a new template",
							"Generate a new template",
							"new template",
							"delete template",
							"I want to delete timesheet for 21st august 2021",
							"i want to copy timesheet",
							"erase template",
							"add timesheet for this week",
							"apply sick leave for monday",
							"add 4 hours to activity 4000",
							"add timesheet for tomorrow",
							"add timesheet",
							"I want to add timesheet",
							"add timesheet for 25th August 2021",
							"add timesheet for 5th of this month",
							"I want to add timesheet for 12th of next month",
							"I want to add timesheet for day after tomorrow",
							"copy timesheet",
							"copy yesterday's timesheet to today",
							"copy timsheet from 25th august to 26th august",
							"copy timesheet from today to tomorrow",
							"copy timesheet for tomorrow from yesterday",
							"copy timesheet from 21st july 2021 to tomorrow",
							"add template",
							"i want to add a template",
							"Add a template for me",
							"add a tempalte",
							"I want to create a template",
							"I want a tempalte to be created",
							"Create a new template",
							"I want to create a new template",
							"Generate a new template",
							"new template",
							"delete template",
							"I want to delete timesheet for 21st august 2021",
							"Delete timesheet for tomorrow",
							"delete timesheet for yesterday",
							"delete timesheet for date 6th july 2021",
							"i want to delete a timesheet dated 6th july of this year",
							"Delete a timesheet for day before yesterday",
							"delete timsheet",
							"I want to delete a template",
							"Could you please delete template",
							"erase an template",
							"Help me erase a template",
							"i want to clear a template",
							"clear tempalte",
							"holiday calender",
							"I want to see a list of public hoidays",
							"Can you show me the holidays",
							"show upcoming holidays",
							"could you show me a list of all ericsson holidays",
							"I want to see a list of all ericsson holidays",
							"network id",
							"i want to see the network id's",
							"Please show the network id's",
							"Could you help me show the network id",
							"I want to see all the network ids",
							"12345 is this network id available",
							"Do we have 111 as network id ",
							"I want to see if 12345 is added as network id",
							"Provide all the network id's available",
							"view timesheet",
							"I want to view timesheet",
							"I want you to show my timesheet",
							"Please add timesheet",
							"Could you just add a timesheet",
							"view reported hours",
							"I want to see a timesheet for one day",
							"I want to have a look at timesheet",
							"I want to view a timesheet for a day",
							"i want to view timesheet for 22snd august 2021",
							"i want to view timesheet for today",
							"Show today's timesheet",
							"view template",
							"I want to see the template",
							"I want to view template",
							"Please show me the template",
							"I want to see the template for today",
							"i want to see template for yesterday",
							"Show me the template",
							"generate a template",
							"i want to create a tempalte ",
							"i want to add a template",
							"remove template",
							"delete timesheet for one day",
							"remove timesheet for today",
							"erase the timesheet",
							"edit template",
							"Modify a template"
						]);
					} else if (
						m.content.includes("Would you like to delete it?") ||
						m.content.includes("A template simplifies adding time.") ||
						m.content.includes("Would you like to delete the selected log?")
					) {
						console.log("\nWould you like to delete i>>>>>>>>t");
						avaamo.addVoiceHints([
							"yes i want to delete it",
							"Please go ahead and delete it",
							"No i dont want to delete it",
							"Iam not sure what to do",
							"Naah am not interested",
							"Nope Iam not interested",
							"Yep delete it",
							"Proceed with deletion",
							""
						]);
					} else if (m.content.includes("You have only entered the timesheet for one day")) {
						console.log("\nYou have only entered for one>>>>");
						avaamo.addVoiceHints([
							"Apply for all",
							"Submit",
							"i want to apply for all",
							"Just submit",
							"I want t submit",
							"Proceed with submit",
							"Please go ahead with submit",
							"Apply for all is what i chosse",
							"I dont know what to do",
							"Please apply for all"
						]);
					} else if (m.content.includes("Is there anything else I can help you with?")) {
						console.log("\nIs there anything else>>>>>");
						avaamo.addVoiceHints([
							"add timesheet",
							"I want to add timesheet",
							"add timesheet for 25th August 2021",
							"add timesheet for 5th of this month",
							"I want to add timesheet for 12th of next month",
							"I want to add timesheet for day after tomorrow",
							"copy timesheet",
							"copy yesterday's timesheet to today",
							"copy timsheet from 25th august to 26th august",
							"copy timesheet from today to tomorrow",
							"copy timesheet for tomorrow from yesterday",
							"copy timesheet from 21st july 2021 to tomorrow",
							"add template",
							"i want to add a template",
							"Add a template for me",
							"add a tempalte",
							"I want to create a template",
							"I want a tempalte to be created",
							"Create a new template",
							"I want to create a new template",
							"Generate a new template",
							"new template",
							"delete template",
							"I want to view timesheet",
							"I want you to show my timesheet",
							"Please add timesheet",
							"Could you just add a timesheet",
							"view reported hours",
							"I want to see a timesheet for one day",
							"I want to have a look at timesheet",
							"I want to view a timesheet for a day",
							"i want to view timesheet for 22snd august 2021",
							"i want to view timesheet for today",
							"Show today's timesheet",
							"view template",
							"I want to see the template",
							"I want to view template",
							"Please show me the template",
							"Could you plese delete the template you had saved",
							"leave Balance",
							"i need to check my leave balance",
							"Show my leave balance",
							"I want to see the number of leave",
							"i want to look at my leave balance",
							"I want to see my remaining leaves",
							"I want to see my PTO",
							"Leave history",
							"I want to see my PTO",
							"Show my leave details",
							"I want to see my personal time",
							"Show my leaves",
							"Show my leave summary",
							"show leave details",
							"I want to see my vacation",
							"Want to see time account",
							"I want to see my annual leave quota",
							"Show PTO",
							"Personal time Off",
							"Time accounts",
							"Leave summary",
							"leave entitlement",
							"absence quota",
							"create a template",
							"add timesheet for this week",
							"apply sick leave for monday",
							"add 4 hours to activity 4000",
							"add timesheet for tomorrow",
							"add timesheet",
							"I want to add timesheet",
							"add timesheet for 25th August 2021",
							"add timesheet for 5th of this month",
							"I want to add timesheet for 12th of next month",
							"I want to add timesheet for day after tomorrow",
							"copy timesheet",
							"copy yesterday's timesheet to today",
							"copy timsheet from 25th august to 26th august",
							"copy timesheet from today to tomorrow",
							"copy timesheet for tomorrow from yesterday",
							"copy timesheet from 21st july 2021 to tomorrow",
							"add template",
							"i want to add a template",
							"Add a template for me",
							"add a tempalte",
							"I want to create a template",
							"I want a tempalte to be created",
							"Create a new template",
							"I want to create a new template",
							"Generate a new template",
							"new template",
							"delete template",
							"I want to delete timesheet for 21st august 2021",
							"Delete timesheet for tomorrow",
							"delete timesheet for yesterday",
							"delete timesheet for date 6th july 2021",
							"i want to delete a timesheet dated 6th july of this year",
							"Delete a timesheet for day before yesterday",
							"delete timsheet",
							"I want to delete a template",
							"Could you please delete template",
							"erase an template",
							"Help me erase a template",
							"i want to clear a template",
							"clear tempalte",
							"holiday calender",
							"I want to see a list of public hoidays",
							"Can you show me the holidays",
							"show upcoming holidays",
							"could you show me a list of all ericsson holidays",
							"I want to see a list of all ericsson holidays",
							"network id",
							"i want to see the network id's",
							"Please show the network id's",
							"Could you help me show the network id",
							"I want to see all the network ids",
							"12345 is this network id available",
							"Do we have 111 as network id ",
							"I want to see if 12345 is added as network id",
							"Provide all the network id's available",
							"view timesheet",
							"I want to view timesheet",
							"I want you to show my timesheet",
							"let us add a template",
							"I want to see my PTO",
							"Leave summary",
							"PTO"
						]);
					} else if (m.content.includes("I’m not sure I understand. Did you mean any of these")) {
						console.log("IN Iam not sure", m.attachments);
						//  if(m.attachments.default_card.description.includes("I’m not sure I understand. Did you mean any of these")){
						avaamo.addVoiceHints([
							"view template",
							"I want to see the template",
							"I want to view template",
							"Please show me the template",
							"Could you plese delete the template you had saved",
							"leave Balance",
							"i need to check my leave balance",
							"Show my leave balance",
							"I want to see the number of leave",
							"i want to look at my leave balance",
							"I want to see my remaining leaves",
							"I want to see my PTO",
							"Leave history",
							"I want to see my PTO",
							"Show my leave details",
							"I want to see my personal time",
							"Show my leaves",
							"Show my leave summary",
							"show leave details",
							"I want to see my vacation",
							"Want to see time account",
							"I want to see my annual leave quota",
							"Show PTO",
							"Personal time Off",
							"Time accounts",
							"Leave summary",
							"leave entitlement",
							"absence quota",
							"create a template",
							"add timesheet for this week",
							"apply sick leave for monday",
							"add 4 hours to activity 4000",
							"add timesheet for tomorrow",
							"add timesheet",
							"I want to add timesheet",
							"add timesheet for 25th August 2021",
							"add timesheet for 5th of this month",
							"I want to add timesheet for 12th of next month",
							"I want to add timesheet for day after tomorrow",
							"copy timesheet",
							"copy yesterday's timesheet to today",
							"copy timsheet from 25th august to 26th august",
							"copy timesheet from today to tomorrow",
							"copy timesheet for tomorrow from yesterday",
							"copy timesheet from 21st july 2021 to tomorrow",
							"add template",
							"i want to add a template",
							"add timesheet",
							"I want to add timesheet",
							"add timesheet for 25th August 2021",
							"add timesheet for 5th of this month",
							"I want to add timesheet for 12th of next month",
							"I want to add timesheet for day after tomorrow",
							"copy timesheet",
							"copy yesterday's timesheet to today",
							"copy timsheet from 25th august to 26th august",
							"copy timesheet from today to tomorrow",
							"copy timesheet for tomorrow from yesterday",
							"copy timesheet from 21st july 2021 to tomorrow",
							"add template",
							"i want to add a template",
							"Add a template for me",
							"add a tempalte",
							"I want to create a template",
							"I want a tempalte to be created",
							"Create a new template",
							"I want to create a new template",
							"Generate a new template",
							"new template",
							"delete template",
							"I want to view timesheet",
							"I want you to show my timesheet",
							"Please add timesheet",
							"Could you just add a timesheet",
							"view reported hours",
							"I want to see a timesheet for one day",
							"I want to have a look at timesheet",
							"Add a template for me",
							"add a tempalte",
							"I want to create a template",
							"I want a tempalte to be created",
							"Create a new template",
							"I want to create a new template",
							"Generate a new template",
							"new template",
							"delete template",
							"I want to delete timesheet for 21st august 2021",
							"Delete timesheet for tomorrow",
							"delete timesheet for yesterday",
							"delete timesheet for date 6th july 2021",
							"i want to delete a timesheet dated 6th july of this year",
							"Delete a timesheet for day before yesterday",
							"delete timsheet",
							"I want to delete a template",
							"Could you please delete template",
							"erase an template",
							"Help me erase a template",
							"i want to clear a template",
							"clear tempalte",
							"holiday calender",
							"I want to see a list of public hoidays",
							"Can you show me the holidays",
							"show upcoming holidays",
							"could you show me a list of all ericsson holidays",
							"I want to see a list of all ericsson holidays",
							"network id",
							"i want to see the network id's",
							"Please show the network id's",
							"Could you help me show the network id",
							"I want to see all the network ids",
							"12345 is this network id available",
							"Do we have 111 as network id ",
							"I want to see if 12345 is added as network id",
							"Provide all the network id's available",
							"view timesheet",
							"I want to view timesheet",
							"I want you to show my timesheet",
							"i want to delete a timesheet",
							"Who is the CEO of ericcson",
							"Who is the CTO of ericsson",
							"switch langauge",
							"Change language to portuguese",
							"change langauge to spanish",
							"switch language to portuguese",
							"switch language to english",
							"switch language to spanish",
							"I want to see my PTO",
							"Leave summary",
							"I want to see my PTO",
							"Leave summary",
							"PTO"
						]);
					} else if (m.content.includes("Please do let me know if there is anything else I can help you ")) {
						console.log("\n Please do let me know");
						avaamo.addVoiceHints([
							"view template",
							"I want to see the template",
							"I want to view template",
							"Please show me the template",
							"Could you plese delete the template you had saved",
							"leave Balance",
							"i need to check my leave balance",
							"Show my leave balance",
							"I want to see the number of leave",
							"i want to look at my leave balance",
							"I want to see my remaining leaves",
							"I want to see my PTO",
							"Leave history",
							"I want to see my PTO",
							"Show my leave details",
							"I want to see my personal time",
							"Show my leaves",
							"Show my leave summary",
							"show leave details",
							"I want to see my vacation",
							"Want to see time account",
							"I want to see my annual leave quota",
							"Show PTO",
							"Personal time Off",
							"Time accounts",
							"Leave summary",
							"leave entitlement",
							"absence quota",
							"create a template",
							"add timesheet for this week",
							"apply sick leave for monday",
							"add 4 hours to activity 4000",
							"add timesheet for tomorrow",
							"add timesheet",
							"I want to add timesheet",
							"add timesheet for 25th August 2021",
							"add timesheet for 5th of this month",
							"I want to add timesheet for 12th of next month",
							"I want to add timesheet for day after tomorrow",
							"copy timesheet",
							"copy yesterday's timesheet to today",
							"copy timsheet from 25th august to 26th august",
							"copy timesheet from today to tomorrow",
							"copy timesheet for tomorrow from yesterday",
							"copy timesheet from 21st july 2021 to tomorrow",
							"add template",
							"i want to add a template",
							"add timesheet",
							"I want to add timesheet",
							"add timesheet for 25th August 2021",
							"add timesheet for 5th of this month",
							"I want to add timesheet for 12th of next month",
							"I want to add timesheet for day after tomorrow",
							"copy timesheet",
							"copy yesterday's timesheet to today",
							"copy timsheet from 25th august to 26th august",
							"copy timesheet from today to tomorrow",
							"copy timesheet for tomorrow from yesterday",
							"copy timesheet from 21st july 2021 to tomorrow",
							"add template",
							"i want to add a template",
							"Add a template for me",
							"add a tempalte",
							"I want to create a template",
							"I want a tempalte to be created",
							"Create a new template",
							"I want to create a new template",
							"Generate a new template",
							"new template",
							"delete template",
							"I want to view timesheet",
							"I want you to show my timesheet",
							"Please add timesheet",
							"Could you just add a timesheet",
							"view reported hours",
							"I want to see a timesheet for one day",
							"I want to have a look at timesheet",
							"Add a template for me",
							"add a tempalte",
							"I want to create a template",
							"I want a tempalte to be created",
							"Create a new template",
							"I want to create a new template",
							"Generate a new template",
							"new template",
							"delete template",
							"I want to delete timesheet for 21st august 2021",
							"Delete timesheet for tomorrow",
							"delete timesheet for yesterday",
							"delete timesheet for date 6th july 2021",
							"i want to delete a timesheet dated 6th july of this year",
							"Delete a timesheet for day before yesterday",
							"delete timsheet",
							"I want to delete a template",
							"Could you please delete template",
							"erase an template",
							"Help me erase a template",
							"i want to clear a template",
							"clear tempalte",
							"holiday calender",
							"I want to see a list of public hoidays",
							"Can you show me the holidays",
							"show upcoming holidays",
							"could you show me a list of all ericsson holidays",
							"I want to see a list of all ericsson holidays",
							"network id",
							"i want to see the network id's",
							"Please show the network id's",
							"Could you help me show the network id",
							"I want to see all the network ids",
							"12345 is this network id available",
							"Do we have 111 as network id ",
							"I want to see if 12345 is added as network id",
							"Provide all the network id's available",
							"view timesheet",
							"I want to view timesheet",
							"I want you to show my timesheet",
							"let us add a template",
							"I want to see my PTO",
							"Leave summary",
							"I want to see my PTO",
							"Leave summary",
							"PTO"
						]);
					} else if (m.content.includes("Ok, I have saved your template!")) {
						avaamo.addVoiceHints([
							"view timesheet",
							"I want to view timesheet",
							"I want you to show my timesheet",
							"Please add timesheet",
							"Could you just add a timesheet",
							"view reported hours",
							"I want to see a timesheet for one day",
							"I want to have a look at timesheet",
							"I want to view a timesheet for a day",
							"i want to view timesheet for 22snd august 2021",
							"i want to view timesheet for today",
							"Show today's timesheet",
							"view template",
							"I want to see the template",
							"I want to view template",
							"Please show me the template",
							"I want to see the template for today",
							"i want to see template for yesterday",
							"Show me the template",
							"generate a template",
							"i want to create a tempalte ",
							"i want to add a template",
							"Please add a template",
							"I want to create a tempalte",
							"I want to make a template",
							"create and add a template",
							"i want to add to the tempalte",
							"set timesheet",
							"I would like to add a template for tomorrow",
							"i want to add timesheet from date 27th to 29th of this month",
							"add timesheet for monday",
							"let us add a template",
							"copy timesheet",
							"copy yesterday's timesheet to today",
							"copy timsheet from 25th august to 26th august",
							"copy timesheet from today to tomorrow",
							"copy timesheet for tomorrow from yesterday",
							"copy timesheet from 21st july 2021 to tomorrow",
							"add template",
							"i want to add a template",
							"Add a template for me",
							"add a tempalte",
							"I want to create a template",
							"I want a tempalte to be created",
							"Create a new template",
							"I want to create a new template",
							"Generate a new template",
							"new template",
							"delete template",
							"I want to delete timesheet for 21st august 2021",
							"Delete timesheet for tomorrow",
							"delete timesheet for yesterday",
							"delete timesheet for date 6th july 2021",
							"i want to delete a timesheet dated 6th july of this year",
							"Delete a timesheet for day before yesterday",
							"delete timsheet",
							"I want to delete a template",
							"Could you please delete template",
							"create a template",
							"add timesheet for this week",
							"apply sick leave for monday",
							"add 4 hours to activity 4000",
							"add timesheet for tomorrow",
							"add timesheet",
							"I want to add timesheet",
							"add timesheet for 25th August 2021",
							"add timesheet for 5th of this month",
							"I want to add timesheet for 12th of next month",
							"I want to add timesheet for day after tomorrow",
							"copy timesheet",
							"copy yesterday's timesheet to today",
							"copy timsheet from 25th august to 26th august",
							"copy timesheet from today to tomorrow",
							"copy timesheet for tomorrow from yesterday",
							"copy timesheet from 21st july 2021 to tomorrow",
							"add template",
							"i want to add a template",
							"Add a template for me",
							"add a tempalte",
							"I want to create a template",
							"I want a tempalte to be created",
							"Create a new template",
							"I want to create a new template",
							"Generate a new template",
							"new template",
							"delete template",
							"I want to delete timesheet for 21st august 2021",
							"Delete timesheet for tomorrow",
							"delete timesheet for yesterday",
							"delete timesheet for date 6th july 2021",
							"i want to delete a timesheet dated 6th july of this year",
							"Delete a timesheet for day before yesterday",
							"delete timsheet",
							"I want to delete a template",
							"Could you please delete template",
							"erase an template",
							"Help me erase a template",
							"i want to clear a template",
							"clear tempalte",
							"holiday calender",
							"I want to see a list of public hoidays",
							"Can you show me the holidays",
							"show upcoming holidays",
							"could you show me a list of all ericsson holidays",
							"I want to see a list of all ericsson holidays",
							"network id",
							"i want to see the network id's",
							"Please show the network id's",
							"generate a template",
							"i want to create a tempalte ",
							"i want to add a template",
							"Please add a template",
							"I want to create a tempalte",
							"I want to make a template",
							"create and add a template",
							"i want to add to the tempalte",
							"set timesheet",
							"I would like to add a template for tomorrow",
							"i want to add timesheet from date 27th to 29th of this month",
							"add timesheet for monday",
							"let us add a template",
							"add timesheet for this week",
							"i want to add timesheet",
							"apply for a leave",
							"i want to add my time",
							"Register hours",
							"I want to see the registered hours",
							"I want to add hours in timesheet",
							"I want to see my PTO",
							"Leave summary",
							"PTO"
						]);
					}
				};

				// // Speak out aloud
				// avaamo.onBotMessage = async (m) => await queueSpeech(m, 'Joanna');

				// On every message
				// console.log("AVAAMO",avaamo);
				// avaamo.onBotMessage = async (m) => {
				//  console.log("AVAAMO ONBOT MESSAGE",m);

				//  if(m.content == "live balance"){
				// 	 avaamo.addVoiceHints([
				// 		 "leave Balance"
				// 	 ])
				//  }

				//
				// console.log("M CONTENT",typeof(m),m)
				// Speak out aloud
				//await queueSpeech(m, 'Joanna');
				//Contextual hints
				// if (m.content == "Book an appointment to consult doctor")
				// 	avaamo.addVoiceHints([
				// 		"video",
				// 		"In clinic",
				// 		"appointment",
				// 		"cold",
				// 		"cough",
				// 		"tooth ache",
				// 		"dentist",
				// 		"general physician"
				// 	]);
				// else if (m.content == "Specialization")
				// 	avaamo.addVoiceHints([
				// 		"cavites",
				// 		"root cannal",
				// 		"tooth ache",
				// 		"tooth decay",
				// 		"tooth pain",
				// 		"cold",
				// 		"cold and cough",
				// 		"cough",
				// 		"fever",
				// 		"I have cold",
				// 		"I have cough"
				// 	]);
				// else if (m.content == "Select the doctor")
				// 	avaamo.addVoiceHints([
				// 		"Dr. Jerry",
				// 		"Jerry",
				// 		"Dr. Tom",
				// 		"Tom",
				// 		"Dr. Laxman",
				// 		"Laxman",
				// 		"Dr. Ram",
				// 		"Ram",
				// 		"Dr. Seetha",
				// 		"Seetha",
				// 		"Dr. Sofia",
				// 		"Sofia",
				// 		"Dr. Tom",
				// 		"Tom"
				// 	]);
				// else if (m.content == "Select the date") avaamo.addVoiceHints(["$OOV_CLASS_ALPHANUMERIC_SEQUENCE"]);
				// else if (m.content == "Select the time") avaamo.addVoiceHints(["$OOV_CLASS_ALPHANUMERIC_SEQUENCE"]);
				// else if (m.content == "Confrim Yes or NO") avaamo.addVoiceHints(["Yes", "No", "Yeah"]);
				// };

				// //Contextual hints
				// avaamo.onBotMessage = m => {
				//     if (m.content == 'Where do you work?')
				//         avaamo.addVoiceHints(['Avaamo', 'Microsoft']);
				//     else if (m.content == 'What is your PAN number?')
				//         avaamo.addVoiceHints(['$OOV_CLASS_ALPHANUMERIC_SEQUENCE']);
				// }

				// Voice Replacements
				avaamo.voiceReplacements = (t) => {
					var replacementMap = {
						avaamo: "Avaamo"
					};
					var re = new RegExp(Object.keys(replacementMap).join("|"), "gi");
					return t.replace(re, function (matched) {
						return replacementMap[matched.toLowerCase()];
					});
				};

				// setTimeout(function () {
				// 	avaamo.openChatBox();
				// }, 1000);
			});
		</script>
	</body>
</html>
